clang-tools 8.0.0

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
clang::clangd::SymbolID Class Reference

`#include <SymbolID.h>`

Collaboration diagram for clang::clangd::SymbolID:
[legend]

## Public Member Functions
| SymbolID ()=default
| SymbolID (llvm::StringRef USR)
bool | operator== (const SymbolID &Sym) const
bool | operator< (const SymbolID &Sym) const
llvm::StringRef | raw () const
std::string | str () const

## Static Public Member Functions
static SymbolID | fromRaw (llvm::StringRef)
static llvm::Expected< SymbolID > | fromStr (llvm::StringRef)

## Static Public Attributes
static constexpr size_t | RawSize = 8

## Detailed Description

Definition at line 31 of file SymbolID.h.

## Constructor & Destructor Documentation

## ◆ SymbolID() [1/2]

clang::clangd::SymbolID::SymbolID | ( |  | ) |
| default

## ◆ SymbolID() [2/2]

clang::clangd::SymbolID::SymbolID | ( | llvm::StringRef | USR | ) |
| explicit

Definition at line 16 of file SymbolID.cpp.

References RawSize.

## Member Function Documentation

## ◆ fromRaw()

SymbolID clang::clangd::SymbolID::fromRaw | ( | llvm::StringRef | Raw | ) |
| static

Definition at line 27 of file SymbolID.cpp.

Referenced by fromStr().

## ◆ fromStr()

llvm::Expected< SymbolID > clang::clangd::SymbolID::fromStr | ( | llvm::StringRef | Str | ) |
| static

Definition at line 36 of file SymbolID.cpp.

References fromRaw(), and RawSize.

## ◆ operator<()

bool clang::clangd::SymbolID::operator< | ( | const SymbolID & | Sym | ) | const
| inline

Definition at line 39 of file SymbolID.h.

## ◆ operator==()

bool clang::clangd::SymbolID::operator== | ( | const SymbolID & | Sym | ) | const
| inline

Definition at line 36 of file SymbolID.h.

## ◆ raw()

llvm::StringRef clang::clangd::SymbolID::raw | ( |  | ) | const

Definition at line 22 of file SymbolID.cpp.

References RawSize.

Referenced by str().

## ◆ str()

std::string clang::clangd::SymbolID::str | ( |  | ) | const

Definition at line 34 of file SymbolID.cpp.

References raw().

## Member Data Documentation

## ◆ RawSize

constexpr size_t clang::clangd::SymbolID::RawSize = 8
| static

Definition at line 45 of file SymbolID.h.

Referenced by fromStr(), raw(), and SymbolID().

The documentation for this class was generated from the following files:

- SymbolID.h
- SymbolID.cpp